Am 04.03.2016 um 23:15 schrieb Kevin Carney:
> Package: netbeans
> Version: 8.1+dfsg2-1
> Severity: normal
> 
> Dear Maintainer,
> 
> When starting netbeans, the startup splashscreen stops during "Turning on 
> modules..." and a warning window is displays:
> 
> Window Title: NetBeans IDE - Warning
> Text: "org.netbeans.InvalidException: StandardModule:org.netbeans.modules.db 
> jarFile: /usr/share/netbeans/8.1/ide/modules/org-netbeans-modules-db.jar: 
> java.lang.UnsupportedClassVersionError: org/netbeans/lib/ddl/DBConnection: 
> Unsupported major.minor version 52.0"
> 
> Warning gives two options: "Exit" and "Disable Modules and Continue"
> 
> "Exit" does the obvious thing.
> 
> "Disable Modules and Continue" allows the startup process to finish.  
> Subsequent startups do not show the warning (presumably because netbeans 
> saves the "Disable Modules" option).
> 
> This is occuring on a fresh installation of netbeans running on a fresh 
> installation of Debian/testing.
> 
> It appears to be an issue with openjdk-7, which was pulled in as a dependency 
> while installing netbeans.  I subsequently tested by installing openjdk-8, 
> and the problem did not occur.
> 
> To reproduce:
> 1. Delete my ~/.netbeans directory,
> 2. Switched default java to openjdk-7 with: "sudo update-java-alternatives -s 
> java-1.7.0-openjdk-amd64"
> 3. Start netbeans

Hi,

thanks for the report. We aim to release Netbeans and OpenJDK 8 as the
default environment for Stretch. So don't expect a solution for OpenJDK
7 because it will be most likely removed from Debian before the next
freeze. I don't know why OpenJDK 7 got installed on your system because
the default is OpenJDK 8 now, but I don't think we should invest a lot
of time debugging this issue because OpenJDK 7 won't be supported for
Stretch anyway. Sorry for the inconvenience, but please switch to
OpenJDK 8 at your earliest convenience.

Regards,

Markus


Attachment: signature.asc
Description: OpenPGP digital signature

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to